Subject: Re: [PATCH 3/4] myri10ge - Driver core

From: Brice Goglin <[email-masked]>
Date: Thu, 25 May 2006 11:07:44 +0200

Benjamin Herrenschmidt wrote:
> On Wed, 2006-05-24 at 10:04 +0200, Brice Goglin wrote:
>
>   
>> I am not sure what you mean.
>> The only ppc64 with PCI-E that we have seen so far (a G5) couldn't do
>> write combining according to Apple.
>>     
>
> That is not 100% true.... I don't know what apple had in mind. It also
> depends in what slot you are.
>
> Do you have ways to measure the difference ?
>   

No, we don't have any PPC with PCIe running Linux. The only G5 PCIe that
we have is running MacOSX.

> Try doing __ioremap(mgp->iomem_base, mgp->board_span, _PAGE_NO_CACHE);
> instead of using the normal ioremap for #ifdef powerpc and tell us if it
> makes a difference.
>   

I'll try it as soon as we get our G5 PCIe to run Linux.

thanks,
Brice